Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::TextChildAnchor Class Reference

A GtkTextChildAnchor C++ wrapper class. More...

`#include <xfc/gtk/textbuffer.hh>`

Inheritance diagram for Xfc::Gtk::TextChildAnchor:

List of all members.

## Public Member Functions

Constructors

- TextChildAnchor ()
    Constructs a new anchor with a reference count of 1 that the caller owns.
- virtual ~TextChildAnchor ()
    Destructor.

Accessors

- GtkTextChildAnchor * gtk_text_child_anchor () const
    Get a pointer to the GtkTextChildAnchor structure.
- operator GtkTextChildAnchor * () const
    Conversion operator; safely converts a TextChildAnchor to a GtkTextChildAnchor pointer.
- bool get_widgets (std::vector< Widget * > &widgets) const
    Gets a list of all widgets anchored at this child anchor.
- bool get_deleted () const
    Determines whether a child anchor has been deleted from the buffer.

## Protected Member Functions

Constructors

- TextChildAnchor (GtkTextChildAnchor *anchor, bool owns_reference=true)
    Construct a new TextChildAnchor from an existing GtkTextChildAnchor.

## Detailed Description

A GtkTextChildAnchor C++ wrapper class.

A TextChildAnchor is a spot in a TextBuffer where child widgets can be anchored, inserted inline, as if they were characters. The anchor can have multiple widgets anchored, to allow for multiple views.

Note: dynamically allocated objects must either be unreferenced or assigned to a smart pointer. Stack objects are automatically unreferenced when they go out of scope.

## Constructor & Destructor Documentation

Xfc::Gtk::TextChildAnchor::TextChildAnchor | ( | GtkTextChildAnchor * | anchor,
|  | bool | owns_reference = `true`
| ) | `[explicit, protected]`

Construct a new TextChildAnchor from an existing GtkTextChildAnchor.

Parameters:

  | anchor | A pointer to a GtkTextChildAnchor.
  | owns_reference | Set false if the initial reference count is floating, set true if it's not.

The anchor can be a newly created GtkTextChildAnchor or an existing GtkTextChildAnchor (see G::Object::Object).

Xfc::Gtk::TextChildAnchor::TextChildAnchor | ( |  | ) |

| Constructs a new anchor with a reference count of 1 that the caller owns. Usually you would insert it into a TextBuffer with Gtk::TextBuffer::insert_child_anchor(). To perform the creation and insertion in one step, use the convenience method Gtk::TextBuffer::create_child_anchor().

## Member Function Documentation

bool Xfc::Gtk::TextChildAnchor::get_deleted | ( |  | ) | const

Determines whether a child anchor has been deleted from the buffer.

Returns:
  true if the child anchor has been deleted from its buffer.

Keep in mind that the child anchor will be unreferenced when removed from the buffer, so you need to hold your own reference (with ref()) if you plan to use this method - otherwise all deleted child anchors will also be finalized.

bool Xfc::Gtk::TextChildAnchor::get_widgets | ( | std::vector< Widget * > & | widgets | ) | const

Gets a list of all widgets anchored at this child anchor.

Parameters:

  | widgets | A reference to a vector of Widget* to hold the list of widgets.

Returns:
  true if the vector contains any widgets.

The documentation for this class was generated from the following file:

- textbuffer.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3